% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_squid.R, R/set_squid.R
\name{get_squid}
\alias{get_squid}
\alias{set_squid}
\title{Set or get a SQUID (to follow)}
\usage{
get_squid(namespace = NULL)

set_squid(x, namespace = NULL)
}
\arguments{
\item{namespace}{Optionally, for saving multiple SQUIDs, a namespace.}

\item{x}{A SQUID (or several; the highest is stored).}
}
\value{
The saved SQUID.

Invisibly, x.
}
\description{
Because the SQUID is saved in the options, it persists when changed
e.g. in function calls, for example when using \code{\link[=lapply]{lapply()}}.
}
\examples{
exampleSQUID <-
  squids::squids();

squids::set_squid(
  exampleSQUID
);

squids::get_squid();
}
